#include <cstdio>
#include <cstdlib>
#include <cstring>

const char *IN = "sm.sis";
const char *OUT = "sm.val";
const char *HINT = "sm.xxx";

void ERR(const char *s) {
    printf("400\nError: %s\n", s);
    exit(0);
}

void OK(int n, const char *s) {
    printf("200\nScore: %d\nError: %s\n", n, s);
    exit(0);
}

int s1;
int s2;
char s[20];

int main() {
    FILE *hint = fopen(HINT, "rt");
    if (!hint)
        ERR("Viga vihjefaili avamisel");
    if (fscanf(hint, "%d", &s1) != 1)
        ERR("Viga vihjefaili lugemisel");
    if (fclose(hint))
        ERR("Viga vihjefaili sulgemisel");

    FILE *out = fopen(OUT, "rt");
    if (!out)
        ERR("Viga vljundfaili avamisel");
    if (fscanf(out, "%d ", &s2) != 1)
        OK(0, "Viga tisarvu lugemisel");
    if (fscanf(out, "%10s", s) == 1)
        OK(0, "Liigsed smbolid faili lpus");
    if (fclose(out))
        ERR("Viga vljundfaili sulgemisel");

    if (s1 != s2)
        OK(0, "Vale vastus");
    OK(100, "OK");
}
